Create payment link for an invoice

Generate a unique payment link for an unpaid invoice. The link can then be shared with the customer to facilitate payment. The API returns a unique ID (uuid) needed to retrieve the payment link status or complete the payment.

Billing & Payments Invoices

Context

Path Parameters

id integer · min: 1 required Example: 46090

Unique id identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.created string · Example: 2026-02-10T00:00:00.000Z
data.expiresAt string required · Example: 2026-02-10T00:00:00.000Z
data.invoice object
data.invoice.currency string required · Example: SEK
data.invoice.id string required · Example: 46090
data.invoice.status string required · Example: Unpaid
data.invoice.total integer required · Example: 300
data.message string required · Example: Using existing active payment link

Human-readable message.

data.paymentUrl string required · Example: https://cloud.hostup.se/billing/pay/4a56e669-6799-42b5-915a-e87d09b28015
data.uuid string required · Example: 4a56e669-6799-42b5-915a-e87d09b28015
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/billing/invoice/{id}/payment-link
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/billing/invoice/46090/payment-link" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "paymentUrl": "https://cloud.hostup.se/billing/pay/4a56e669-6799-42b5-915a-e87d09b28015",
    "uuid": "4a56e669-6799-42b5-915a-e87d09b28015",
    "expiresAt": "2026-02-10T00:00:00.000Z",
    "created": "2026-02-10T00:00:00.000Z",
    "message": "Using existing active payment link"
  }
}